Skip to content
Install

List the registries this project can pull private images from

GET
/projects/{projectId}/registry-credentials
curl --request GET \
--url https://example.com/projects/example/registry-credentials \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

projectId
required
string

OK

Media typeapplication/json
Array<object>
object
createdAt
required
string
id
required
string format: uuid
registry
required

Normalised registry host, e.g. ghcr.io or docker.io

string
updatedAt
required
string
username
required
string

Example generated

[
{
"createdAt": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"registry": "example",
"updatedAt": "example",
"username": "example"
}
]